import { expect } from "chai";
import aniTimer from "../aniTimer.mjs";
describe("Test aniTimer", function () {
  var keepRAF;
  before(function () {
    keepRAF = window.requestAnimationFrame;
    window.requestAnimationFrame = function (func) {
      setTimeout(function () {
        func(new Date().getTime());
      }, 1);
    };
  });
  after(function () {
    window.requestAnimationFrame = keepRAF;
  });
  it("basic test", function (_done) {
    aniTimer({
      isContinue: function isContinue() {
        return true;
      },
      done: function done() {
        return _done();
      }
    }, 5);
  });
});