import { expect } from 'chai';
import aniCal from "../easeOutQuart.mjs";
describe('Test easeOutQuart', function () {
  it("basic test", function () {
    var start = 0;
    var to = 100;
    var duration = 5;
    var actual1 = Math.floor(aniCal(1, start, to, duration));
    var actual2 = Math.floor(aniCal(2, start, to, duration));
    var actual3 = Math.floor(aniCal(3, start, to, duration));
    var actual4 = Math.floor(aniCal(4, start, to, duration));
    var actual5 = Math.floor(aniCal(5, start, to, duration));
    expect({
      actual1: 59,
      actual2: 87,
      actual3: 97,
      actual4: 99,
      actual5: 100
    }).to.deep.equal({
      actual1,
      actual2,
      actual3,
      actual4,
      actual5
    });
  });
  it("test reduce", function () {
    var start = 100;
    var to = 0;
    var duration = 5;
    var actual1 = start - Math.floor(aniCal(1, to, start, duration));
    var actual2 = start - Math.floor(aniCal(2, to, start, duration));
    var actual3 = start - Math.floor(aniCal(3, to, start, duration));
    var actual4 = start - Math.floor(aniCal(4, to, start, duration));
    var actual5 = start - Math.floor(aniCal(5, to, start, duration));
    expect({
      actual1: 41,
      actual2: 13,
      actual3: 3,
      actual4: 1,
      actual5: 0
    }).to.deep.equal({
      actual1,
      actual2,
      actual3,
      actual4,
      actual5
    });
  });
});